/*
 This is the Stylesheet for OTR - Online Terminreservierung by WEBMED GMBH & CO KG
*/

html,body
{
    font-family: 'Outfit';
    /* disabling default safari mobile active style */
    -webkit-tap-highlight-color: rgba(0,0,0,0);
    width: 100%;
    margin-left:0;
    margin-bottom:0;
    margin-top: 0;
}

body
{
    background-color: #f6f6f6;
    margin: 0;
    font-family: 'Outfit';
    font-weight: 400;
    font-size: 15px;
    color: #282828;
}

html {overflow-y: scroll;}

div, a, span, section, input {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -ms-box-sizing: border-box;
    box-sizing: border-box;
}

h1
{
    font-family: 'Outfit';
    font-size: 21px;
    margin: 0px;
    font-weight: 600;
    margin-bottom: 15px;
    letter-spacing: 0px;
    color: #153B3E;
}

h2
{
    font-family: 'Outfit';
    font-size: 16px;
    font-weight: 600;
    color: #30B693;
    margin: 0px;
}
h3
{
    font-family: 'Outfit';
    font-size: 15px;
    font-weight: 600;
    color: #153B3E;
    margin: 0px;
}
h4
{
    font-family: 'Outfit';
    font-size: 15px;
    font-weight: 600;
    color: #153B3E;
    margin: 0px;
}
.wrapper
{
    padding: 0 20px;
    width: 100%;
    max-width: 1040px;
    margin: auto;
}

.load
{
    width: 55px;
    height: 55px;
    margin: auto;
    vertical-align: middle;
    position: fixed;
    left: 0;
    right: 0;
    margin:0 auto;
    pointer-events: none;
}
.load img
{
    width:100%;
   height: auto;
    display: block;
}
.mainBox
{
    width: 100%;
    max-width: 1040px;
    min-height: 260px;
    margin-top: 30px;
}

#fade
{
    display: none;
}

input, select
{
    font-family: 'Outfit';
}

input[type=text]:not(.manageExamReason_editInput):not(.manageSpeciality_editInput), input[type=password], input[type=number]
{
    font-size: 15px;
    height: 45px;
    padding-left: 5px;
    padding-right: 5px;
    border: 1px solid #CECCCC;
    border-radius: 8px;
}

input[type=text]:not(.confirm_inputField):not(#manageAppointmentInput):not(#manageAppointmentInputTan):not(.confirm_inputFieldBirthday):not(.manageExamReason_editInput):not(.manageSpeciality_editInput), input[type=password], select
{
    border: 1px solid #cecccc;
}

input:focus
{
    outline: none;
}

input[type=submit], input[type=button]
{
    height: 30px;
    padding: 0px 15px 0px 15px;
    border: none;
    color: #ffffff;
    background-color: #30b693;
    margin-top: 10px;
    cursor: pointer;

    height: 45px;
    padding: 0px 15px 0px 15px;
    border: none;
    color: #ffffff;
    background-color: #30b693;
    margin-top: 10px;
    font-size: 15px;
    font-weight: 600;
    letter-spacing: 0.3px;

}

input[type=submit]
{


}
input[type=submit]:hover, input[type=submit]:focus, input[type=button]:hover, input[type=button]:focus
{
    background-color: #30b693;
}

input[type=submit].buttonDisabled, input[type=button].buttonDisabled
{
    background-color: #888888;
    cursor: default;
}
.ui-menu .ui-menu-item {
    font-size: 14px !important;
    font-family: 'Outfit' !important;
    height: 28px !important;
    line-height: 28px !important;
    color: #282828 !important;
}
.ui-widget-content a {
    font-size: 14px !important;
    font-family: 'Outfit' !important;
    height: 28px !important;
    color: #282828 !important;
}
.ui-menu {
    border-bottom-left-radius: 8px !important;
    border-bottom-right-radius: 8px !important;
    border-color: #cecccc;
}

.defaultButton {
    height: 45px;
    line-height: 45px;
    padding: 0px 15px 0px 15px;
    border: none;
    color: #ffffff;
    background-color: #888888;
    display: inline-block;
    cursor: default;
    border-radius: 8px;
}

.defaultButtonActive
{
	background-color: #30B693
	cursor: pointer;
}

.defaultButtonActive:hover
{
	background-color: #30B693
}


/* if no js, this styles are for the noJS-DIV */
.noJS
{
    text-align: center;
   font-size: 30px;
   color: red;
   margin: auto;
   vertical-align: middle;
   padding: 50px;
   border: 2px dashed #b3b3b3;
   margin-bottom: 50px;
}

.browserMessage
{
    font-size: 18px;
    color: #282828;
}

.browserMessage a
{
    text-decoration: none;
    color: #b3b3b3;
}

.browserMessage a:link, .browserMessage a:visited
{
    color: #b3b3b3;
}

.browserMessage a:hover, .browserMessage a:active
{
    color: #282828;
    padding: 10px;
    border: 1px solid #dbdbdb;
    background-color: #f8f8f8;
}

.errorMessage
{
    border: 1px solid #dd3c10;
    background-color: #ffdad5;
    padding: 10px;
}

.errorMessageImage
{
    margin-right: 10px;
    margin-bottom: -4px;
}

.lightbox-content
{
    display: none;
}

.featherlight .featherlight-content {
    padding: 1px 0px 1px 0px;
    background: #fff;
    border-bottom: none;
    border-radius: 15px;
    max-width:820px;
    overflow: visible; /* for tooltip */
}
.featherlight .ma_loadDetailView {
        margin:auto;
    padding:20px;
    text-align: center;
}
.featherlight .ma_loadDetailView span{
    width: 100%;
    display: flex;
}
.featherlight.featherlight-iframe .featherlight-content {
    width: calc(100vw - 20px);
}
.featherlight .featherlight-inner {
    display: block;
    width: 100%;
    height: 100vh;
    max-height: 90vh;

}
.featherlight #createPatientLightbox.featherlight-inner {
    max-height: 660px;
    min-height: fit-content;
    padding: 15px;
}
.featherlight #ma_deleteAccountLightboxWrapper.featherlight-inner {
    max-height: 660px;
    min-height: fit-content;
    padding-bottom: 13px;
    max-height: 270px;
}

.featherlight.featherlight-iframe .featherlight-inner {
    height: unset;
    border-radius: 15px;
    min-height: 615px;
}

.featherlight .featherlight-close-icon {

    background-image: url(../img/status/close.svg) !important;
    background-repeat: no-repeat !important;
    background-position: 0 0;
    background-size: 100% auto !important;
    width: 25px;
    text-align: center;
    background: transparent;
    text-indent: -10000px;
    top: -10px;
    right: -10px;
}
.featherlight:last-of-type {
    -webkit-backdrop-filter: blur(5px);
    -moz-backdrop-filter: blur(5px);
    -o-backdrop-filter: blur(5px);
    -ms-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
}
.cc-message > a {
    color: #ffffff;
}

.cc-message > a:hover {
    color: #dcdcdc;
}
.contentSite{
    background-color: #FFF;
    width: 100%;
    max-width: 100%;
    border: 1px solid #E0E1E3;
    border-radius: 15px;
    padding: 15px 20px;
    margin-bottom: 30px;
    line-height: 22px;
    min-height: 260px;
}
.contentSite.privacyPage,
.contentSite.contactPage,
.contentSite.agbPage,
.contentSite.imprintPage,
.contentSite.otr24whatis {
    max-width: 730px;
}


/* Grund-Setup */
#help.contentSite {
    line-height: 1.6;
    border:none;
    background-color: transparent;
    padding:0px;
}

#help.contentSite h1 {

}

#help.contentSite h2 {
    width: 100%;
}

#help.contentSite h3 {
    margin-top: 30px;
    margin-bottom: 14px;
    font-size: 17px;
}


#help.contentSite table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 30px;
}

#help.contentSite tr {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    background-color: #FFF;
    max-width: 100%;
    border: 1px solid #E0E1E3;
    border-radius: 15px;
    padding: 15px 20px;
    margin-bottom: 30px;
    line-height: 22px;

}

#help.contentSite td {
    flex: 1 1 300px;
    width: 100%;
    padding: 5px;
    vertical-align: top;
    box-sizing: border-box;
}

#help.contentSite td img {
    max-width: 100%;
    height: auto;
    display: block;
}
/* Bilder-Styling */
#help.contentSite img {
    max-width: 100%;
    height: auto;
    border-radius: 4px;
    display: block;
    margin: 10px auto;
}

#help.contentSite .he_imgFullWidth {
    width: 100%;
    margin: 20px 0;
}

/* Info-Blöcke am Ende */
#help.contentSite .infoBlock {
    background: #fff;
    padding: 20px;
    margin-top: 20px;
    border-radius: 8px;
    border: 1px solid #e0e0e0;
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    align-items: center;
}

#help.contentSite .infoBlock .txtBlock {
    flex: 2;
    min-width: 250px;
}

#help.contentSite .infoBlock img {
    flex: 1;
    min-width: 420px;
    max-width: 100%;
}

/* Links */
#help.contentSite a {
    color: #30b693;
}

#help.contentSite a:hover {
    text-decoration: underline;
}

/* Spezieller Hinweis (rot) */
#help.contentSite p[style*="color:red"] {
    background: #fff3f3;
    padding: 15px;
    color: #b02a37 !important;
}

.clearB {
    clear: both;
}

select,
option{
    color: #585F68 !important;
    font-weight: 400 !important;
}

select,
option,
button,
input {
    font-family: 'Outfit', -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif !important;
    /* -webkit-appearance: none; */
    /* -moz-appearance: none; */
    /* appearance: none; */
}




@media (hover: none) {

}/* noTouch END*/


@media only screen
and (max-width : 850px) {
    #help.contentSite .infoBlock img {
        min-width: 340px;
    }
    #help.contentSite td.img {
        min-width: 340px;
    }
}

@media (max-height: 880px) {
    .featherlight .featherlight-inner,
    .featherlight #createPatientLightbox.featherlight-inner {
        max-height: 93vh;
        min-height: unset;
        padding-bottom: 13px;
        overflow-y: scroll;
    }
}

@media (max-width: 700px) {


    #help.contentSite tr {
        flex-direction: column;
    }

    #help.contentSite td,
    #help.contentSite td.img,
    #help.contentSite .infoBlock img {
        min-width: 100% !important;
        width: 100%;
    }
    #help.contentSite td {
        padding: 5px;
        flex: 1 1 100px;
    }
    #help.contentSite h1 { font-size: 1.5rem; }
    #help.contentSite  h2 { font-size: 1.2rem; }


}

@media (max-width: 600px) {
    input[type=text]:not(.manageExamReason_editInput):not(.manageSpeciality_editInput), input[type=password], input[type=number] {
        font-size: 16px;
    }

    .featherlight .featherlight-content {
        min-width: unset;
    }
}
